#ifndef ARGUMENTS_H
#define ARGUMENTS_H

typedef enum
 {
  NoArgument,
  OptionalArgument,
  RequireArgument
 } ArgumentType;

typedef struct
 {
  const char *long_name;
  char short_name;
  const char *description;
  ArgumentType type;
  int (*func)(const char *argument, void *data);
 } Argument;

int parseArguments(int argc, const char * const *argv, const Argument *start, const Argument *end, void *data);

#endif
